Bug 463931 - /etc/ipsec.conf includes /etc/ipsec.d/*.conf which is missing
/etc/ipsec.conf includes /etc/ipsec.d/*.conf which is missing
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: openswan (Show other bugs)
5.2
All Linux
medium Severity medium
: rc
: ---
Assigned To: Avesh Agarwal
BaseOS QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-25 10:53 EDT by Alexander Todorov
Modified: 2009-09-02 07:19 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The ipsec.conf file included any .conf files placed in /etc/ipsec.d but Openswan's default installation did not place any files in this directory. Therefore, error messages similar to "could not open include filename: '/etc/ipsec.d/*.conf'" would appear when starting or stopping the IPsec service. Although the service operated correctly, the appearance of these error messages could mislead a user to think that there was a problem with IPsec. The ipsec.conf file now comments out the include of /etc/ipsec.d and contains a note suggesting that users uncomment the line and use /etc/ipsec.d for their customized configuration files.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 07:19:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Todorov 2008-09-25 10:53:55 EDT
Description of problem:
The config file /etc/ipsec.conf has an include directive:
include /etc/ipsec.d/*.conf

however the default install doesn't include .conf files under /etc/ipsec.d. This causes error messages to be printed when starting/stopping/etc the service.

Version-Release number of selected component (if applicable):
openswan-2.6.12-2.el5

How reproducible:
always

Steps to Reproduce:
1. service ipsec status
  
Actual results:
# service ipsec status
could not open include filename: '/etc/ipsec.d/*.conf' (tried  and )
IPsec stopped


Expected results:
# service ipsec status
IPsec stopped

Additional info:
This looks harmless but can we make it silent? A possible but not very clean solution is to include a default.conf file which has only comments/is empty.
Comment 7 Ruediger Landmann 2009-05-17 20:33:16 EDT
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
The ipsec.conf file included any .conf files placed in /etc/ipsec.d but Openswan's default installation did not place any files in this directory. Therefore, error messages similar to "could not open include filename: '/etc/ipsec.d/*.conf'" would appear when starting or stopping the IPsec service. Although the service operated correctly, the appearance of these error messages could mislead a user to think that there was a problem with IPsec. The ipsec.conf file now comments out the include of /etc/ipsec.d and contains a note suggesting that users uncomment the line and use /etc/ipsec.d for their customized configuration files.
Comment 11 errata-xmlrpc 2009-09-02 07:19:25 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1350.html

Note You need to log in before you can comment on or make changes to this bug.